image: maven:3.6.3-openjdk-11-slim

variables:
  MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version"
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dconsole.encoding=UTF-8 -Dfile.encoding=UTF-8"
  DOCKER_HOST: "tcp://docker:2375"
  DOCKER_DRIVER: "overlay2"
  DOCKER_TLS_CERTDIR: ""

cache:
  paths:
    - .m2/repository/

stages:
  - build

mvn-build:
  stage: build
  script:
    - mvn $MAVEN_CLI_OPTS clean package
    - awk -F"," '{ branches += $6 + $7; covered += $7 } END { print covered, "/", branches, "branches covered"; print
      100*covered/branches, "%covered" }' target/site/jacoco/jacoco.csv
  artifacts:
    reports:
      junit:
        - target/surefire-reports/TEST-*.xml
    paths:
      - target/site/jacoco/jacoco.xml
  coverage: '/([^%]+) %covered/'